aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/install.sh')
-rwxr-xr-xscripts/install.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/install.sh b/scripts/install.sh
new file mode 100755
index 0000000..7541915
--- /dev/null
+++ b/scripts/install.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Install XDS gdb
+
+DESTDIR=${DESTDIR:-/opt/AGL/xds/gdb}
+
+ROOT_SRCDIR=$(cd $(dirname "$0")/.. && pwd)
+
+install() {
+ mkdir -p ${DESTDIR} && cp ${ROOT_SRCDIR}/bin/* ${DESTDIR} || exit 1
+
+ FILE=/etc/profile.d/xds-gdb.sh
+ sed -e "s;%%XDS_INSTALL_BIN_DIR%%;${DESTDIR};g" ${ROOT_SRCDIR}/conf.d/${FILE} > ${FILE} || exit 1
+}
+
+uninstall() {
+ rm -rf "${DESTDIR}"
+ rm -f /etc/profile.d/xds-gdb.sh
+}
+
+if [ "$1" == "uninstall" ]; then
+ echo -n "Are-you sure you want to remove ${DESTDIR} [y/n]? "
+ read answer
+ if [ "${answer}" = "y" ]; then
+ uninstall
+ echo "xds-gdb sucessfully uninstalled."
+ else
+ echo "Uninstall canceled."
+ fi
+else
+ install
+fi